import { IFormProps as ICoreFormProps, IOnSubmitForm as ICoreOnSubmitForm, IFormData, IFormValues } from "@reactionable/core/lib/form/Form";
import { ReactElement } from "react";
import { IFormButtonProps } from "./FormButton";
export declare type IFormProps<Values extends IFormValues, Data extends IFormData, FormButtonProps extends IFormButtonProps = IFormButtonProps> = ICoreFormProps<Values, Data, FormButtonProps>;
export declare type IOnSubmitForm<Values extends IFormValues, Data extends IFormData> = ICoreOnSubmitForm<Values, Data>;
export declare function Form<Values extends IFormValues, Data extends IFormData, FormButtonProps extends IFormButtonProps = IFormButtonProps>(props: IFormProps<Values, Data, FormButtonProps>): ReactElement;
