import { IIdentityProviderProps } from "@reactionable/core/lib/identity/Identity";
import { IRouterProviderProps } from "@reactionable/core/lib/router/Router";
import { ITestWrapperProps } from "@reactionable/core/lib/testing/TestWrapper";
import { ReactElement } from "react";
import { IUIProviderProps } from "../UI";
export declare function TestWrapper<IdentityProviderProps extends IIdentityProviderProps = IIdentityProviderProps, UIProviderProps extends IUIProviderProps = IUIProviderProps, RouterProviderProps extends IRouterProviderProps = IRouterProviderProps>({ ui, ...props }: ITestWrapperProps<IdentityProviderProps, UIProviderProps, RouterProviderProps>): ReactElement;
