import { IFormButtonProps as ICoreFormButtonProps, IUseFormButtonProps as ICoreUseFormButtonProps, IUseSubmitFormButtonProps as ICoreUseSubmitFormButtonProps } from "@reactionable/core/lib/form/FormButton";
import { ReactElement, ReactNode } from "react";
import { ButtonProps } from "react-bootstrap/Button";
export declare type IFormButtonProps = ICoreFormButtonProps & Omit<ButtonProps, "type">;
export declare function FormButton(props: IFormButtonProps): ReactElement;
export declare type IUseFormButtonProps = Omit<ICoreUseFormButtonProps<IFormButtonProps>, "Component">;
export declare function useFormButton(props: IUseFormButtonProps): ReactNode | undefined;
export declare type IUseSubmitFormButtonProps = Omit<ICoreUseSubmitFormButtonProps<IFormButtonProps>, "Component">;
export declare function useSubmitFormButton(props: IUseSubmitFormButtonProps): ReactNode | undefined;
